%define _disable_ld_no_undefined 1

%define libname 	%mklibname lbxutil 1
%define develname	%mklibname lbxutil -d

Name: liblbxutil
Summary: LBX Utility library
Version: 1.1.0
Release: %mkrel 3
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2
BuildRequires: pkgconfig(zlib)
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
LBX Utility library.

#-----------------------------------------------------------
%package -n %{libname}
Summary: LBX Utilities
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libname}
LBX Utility library.

#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{_lib}lbxutil-static-devel

%description -n %{develname}
Development files for %{name}

%files -n %{develname}
%{_includedir}/X11/extensions/*.h
%{_libdir}/liblbxutil.so
%{_libdir}/pkgconfig/lbxutil.pc

#-----------------------------------------------------------

%prep
%setup -q -n liblbxutil-%{version}

# make autoreconf more happy
sed -i -e 's,\(AM_INIT_AUTOMAKE(\[\),\1subdir-objects ,' configure.ac

%build
# fix build on aarch64
autoreconf -vfi

%configure2_5x \
	--disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%clean
rm -rf %{buildroot}

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig


%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/liblbxutil.so.1
%{_libdir}/liblbxutil.so.1.0.0


%changelog
* Sun May 05 2019 tex - 1.1.0-3pclos2019
- rebuild against updates

* Fri May 24 2013 Texstar <texstar at gmail.com> 1.1.0-2pclos2013
- rebuild

* Sun Jul 24 2011 Texstar <texstar at gmail.com> 1.1.0-1pclos2011
- update for 2011
